%define	name	libkexif
%define	version	0.2.5
## Distribution Specific Release Tag
%define release %mkrel 3
%define	Summary	KDE library for manipulating EXIF information embedded in images

%define realname kexif

%define	major	1
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkexif-%{version}.tar.bz2

URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase3-devel
BuildRequires:	libexif-devel
BuildRequires:	libxt-devel
Epoch: 1

%description
Libkexif is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a save way that preserves
all other EXIF information in the file. It can currently modify the following
tags:
IFD0/Orientation
EXIF/UserCommend

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Obsoletes:	%mklibname kexif 0

%description -n %{libname}
%{libname} contains kexif libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires: 	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel = %version-%release
Obsoletes:	%mklibname -d kexif 0

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q
make -f Makefile.cvs

%build
%configure_kde3
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %name

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%{_kde3_libdir}/*.so.%{major}*
%{_kde3_libdir}/*.la

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_kde3_libdir}/pkgconfig/libkexif.pc
%{_kde3_libdir}/*.so
%{_kde3_includedir}/*




%changelog
* Mon Sep 15 2008 Funda Wang <fundawang@mandriva.org> 1:0.2.5-3mdv2009.0
+ Revision: 284942
- switch to /opt
- fix libmajor

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1:0.2.5-1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 01 2006 Angelo Naselli <anaselli@mandriva.org> 0.2.5-1mdv2007.0
+ Revision: 75092
- New release 0.2.5
- New release 0.2.5

* Mon Oct 23 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.4-4mdv2007.1
+ Revision: 71698
- Applied patch provided by Marc Espie, who discovered a loss of data in OpenBSD.  Although it's hard to get in linux it can be happen. (Bug #26635)
- Import libkexif

* Sun Aug 06 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.4-3
- add BuildRequires: libxt-devel

* Thu Jul 20 2006 Laurent MONTEL <lmontel@mandriva.com> 0.2.4-2
- Rebuild

* Wed Jun 21 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.4-1mdv2007.0
- New release 0.2.4

* Mon Jun 19 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.3-2mdv2007.0
- fix download URL and a patch for exif info

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.3-1mdk
- new release

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.2-2mdk
- Backported from svn admin to allow compiling under kde 3.5

* Tue Sep 27 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.2.2-1mdk
- new release

* Wed Jul 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2.1-5
- Fix compile gcc-4.0

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2.1-4
- Rebuild

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.1-3mdk
- fix build on lib64 platforms

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 0.2.1-2mdk
- DistroSpecificReleaseTag support

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Fix Buildrequires add by Christiaan Welvaart, qt3-devel and not libqt3-devel
 (otherwise it breaks compile on x86_64)

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-2mdk
- add BuildRequires: kdelibs-common libqt3-devel kdebase-devel libexif-devel

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed summary and description

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

